import { ScatterBase } from "./ScatterBase";
import { UnknownValuePlotting } from "igniteui-react-core";
import { Series } from "./Series";
import { Type, Point } from "igniteui-react-core";
import { ScatterFrame } from "./ScatterFrame";
import { SeriesView } from "./SeriesView";
import { ScatterBaseView } from "./ScatterBaseView";
/**
 * @hidden
 */
export declare class ScatterLineSeries extends ScatterBase {
    static $t: Type;
    protected bc(): Series;
    protected get_ey(): boolean;
    constructor();
    protected cd(): SeriesView;
    protected wr(): boolean;
    protected iq(): number;
    f5(a: Point, b: boolean): boolean;
    private zh;
    x8(a: ScatterFrame, b: ScatterBaseView): void;
    private zo;
    protected get_wl(): boolean;
    yj(a: ScatterFrame, b: ScatterBaseView): void;
    private zm;
    private zi;
    private zl;
    zg: UnknownValuePlotting;
    protected pa(a: any, b: string, c: any, d: any): void;
    static $$p: string[];
}
